#version 460

out vec4 tintColor;

out vec2 texCoord, lmcoord;

out vec3 normal;

const mat4 TEXTURE_MATRIX_2 = mat4(vec4(0.00390625, 0.0, 0.0, 0.0), vec4(0.0, 0.00390625, 0.0, 0.0), vec4(0.0, 0.0, 0.00390625, 0.0), vec4(0.03125, 0.03125, 0.03125, 1.0));
in vec3 vaPosition, vaNormal;
in vec4 vaColor;
in vec2 vaUV0;
in ivec2 vaUV2;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform mat3 normalMatrix;
uniform vec3 chunkOffset;

void main() {
	gl_Position = projectionMatrix * modelViewMatrix * vec4(vaPosition + chunkOffset, 1.0);

	texCoord = vaUV0;

	tintColor = vaColor;

	lmcoord = (TEXTURE_MATRIX_2 * vec4(vaUV2, 0.0, 1.0)).xy;

	normal = normalize(normalMatrix * vaNormal) * 0.5 + 0.5;
}