#version 460

out vec4 tintColor;

out vec2 texCoord, lmcoord;

out vec3 normal;

in vec3 vaPosition, vaNormal;
in vec4 vaColor;
in vec2 vaUV0;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform mat3 normalMatrix;
uniform vec3 chunkOffset;

void main() {
	gl_Position = projectionMatrix * modelViewMatrix * vec4(vaPosition + chunkOffset, 1.0);

	texCoord = vaUV0;

	tintColor = vaColor;

	normal = normalize(normalMatrix * vaNormal) * 0.5 + 0.5;
}